using System;
using UnityEngine;

public class ProfessorAnimationMessenger : MonoBehaviour
{
    private Professor _professorScript;

    private void Awake()
    {
        _professorScript = GetComponentInParent<Professor>();
    }
    
    //play this after the disappear animation as an event
    public void RestartTheSequence() => _professorScript.RestartTheSequence();

    public void DealDamage() => _professorScript.DealDamage();
}
